Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.connection
Class SshMsgChannelRequest

    java.lang.Object
      com.sshtools.j2ssh.transport.SshMessage
          com.sshtools.j2ssh.connection.SshMsgChannelRequest

public class SshMsgChannelRequest
extends SshMessage

DOCUMENT ME!

Field Summary
`protected static int` | `SSH_MSG_CHANNEL_REQUEST` DOCUMENT ME!

Constructor Summary
`SshMsgChannelRequest()` Creates a new SshMsgChannelRequest object.
`SshMsgChannelRequest(long recipientChannel, java.lang.String requestType, boolean wantReply, byte[] channelData)` Creates a new SshMsgChannelRequest object.

Method Summary
`protected void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`protected void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`byte[]` | `getChannelData()` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!
`long` | `getRecipientChannel()` DOCUMENT ME!
`java.lang.String` | `getRequestType()` DOCUMENT ME!
`boolean` | `getWantReply()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.SshMessage
`fromByteArray, getMessageId, getMessageId, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_MSG_CHANNEL_REQUEST

    protected static final int SSH_MSG_CHANNEL_REQUEST

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshMsgChannelRequest

    public SshMsgChannelRequest(long recipientChannel,
                                java.lang.String requestType,
                                boolean wantReply,
                                byte[] channelData)

  Creates a new SshMsgChannelRequest object.

Parameters:
  `recipientChannel` - DOCUMENT ME!
  `requestType` - DOCUMENT ME!
  `wantReply` - DOCUMENT ME!
  `channelData` - DOCUMENT ME!

### SshMsgChannelRequest

    public SshMsgChannelRequest()

  Creates a new SshMsgChannelRequest object.

Method Detail

### getChannelData

    public byte[] getChannelData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SshMessage`
  Returns:
    DOCUMENT ME!

### getRecipientChannel

    public long getRecipientChannel()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRequestType

    public java.lang.String getRequestType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getWantReply

    public boolean getWantReply()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructByteArray

    protected void constructByteArray(ByteArrayWriter baw)
                               throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SshMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### constructMessage

    protected void constructMessage(ByteArrayReader bar)
                             throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SshMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD